Roles
Reset a role's password
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
connect_production_branch, connect_production_read_only_branch, connect_branch, delete_production_branch_password, delete_production_read_only_branch_password, delete_branch_password
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | manage_passwords, manage_production_branch_passwords, manage_read_only_passwords, manage_production_read_only_passwords |
| Database | manage_passwords, manage_production_branch_passwords, manage_read_only_passwords, manage_production_read_only_passwords |
| Branch | manage_passwords, manage_read_only_passwords |
POST
Reset a role's password
This rotates the credentials of a Postgres role created with Create role
credentials — it returns a new
password.
Vitess/MySQL branch passwords have no in-place secret rotation; create a new
password instead.Authorizations
Path Parameters
Response
Returns the role with new password
Database roles these credentials inherit
Available options:
pg_checkpoint, pg_create_subscription, pg_maintain, pg_monitor, pg_read_all_data, pg_read_all_settings, pg_read_all_stats, pg_signal_backend, pg_stat_scan_tables, pg_use_reserved_connections, pg_write_all_data, postgres 
